Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STObjCRuntime documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# STObjCRuntime functions

### STAllObjectiveCClasses

NSMutableDictionary* STAllObjectiveCClasses();
Description forthcoming.

### STAllObjectiveCSelectors

NSArray* STAllObjectiveCSelectors();
Description forthcoming.

### STClassDictionaryWithNames

NSDictionary* STClassDictionaryWithNames(NSArray* classNames);
Description forthcoming.

### STConstructMethodSignatureForSelector

NSMethodSignature* STConstructMethodSignatureForSelector(SEL sel);
Description forthcoming.

### STGetFoundationConstants

NSMutableDictionary* STGetFoundationConstants();
Description forthcoming.

### STMethodSignatureForSelector

NSMethodSignature* STMethodSignatureForSelector(SEL sel);
Description forthcoming.

### STSelectorFromString

SEL STSelectorFromString(NSString* aString);
Description forthcoming.

### STSelectorFromValue

SEL STSelectorFromValue(NSValue* val);
Description forthcoming.

### STValueFromSelector

NSValue* STValueFromSelector(SEL sel);
Description forthcoming.

Up